%global build_tag	v%{version}
%global debug_package %{nil}
%define current_version 1.0.1.9

Summary:	Prometheus exporter for machine metrics
Name:		node_exporter
Version:	%{current_version}
Release:        3%{?dist}
License:	Apache 2.0
Url:		https://virtuozzo.com
Source0:	%{name}-%{version}.tar.bz2
Source1:	node_exporter.service
Source2:	node_exporter.sysconfig
Source3:	smartmon.py
Source4:	node_exporter_smartmon

BuildRequires:	golang
BuildRequires:	promu > 0.6.0
BuildRequires:	libvzctl-devel
Requires:	glibc
Requires:	crontabs
Requires:	smartmontools
Requires:	nvme-cli
Requires:	vzlic-dbus
Requires:	libvzctl
Requires:	python3
Provides:	prometheus-node_exporter = %{version}-%{release}
Obsoletes:	prometheus-node_exporter < %{version}-%{release}

%description
Prometheus exporter for machine metrics, written in Go with pluggable
metric collectors.

%prep
%setup -q -n %{name}-%{version}

%build
make PROMU=/bin/promu build

%install
install -m755 -D node_exporter %{buildroot}%{_bindir}/node_exporter
install -m644 -D %{SOURCE1} %{buildroot}%{_unitdir}/node_exporter.service
install -m644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/node_exporter
install -m755 -D %{SOURCE3} %{buildroot}%{_libexecdir}/prometheus-node_exporter/smartmon
install -m644 -D %{SOURCE4} %{buildroot}%{_sysconfdir}/cron.d/node_exporter_smartmon
mkdir -p %{buildroot}/var/lib/node_exporter/textfile_collector

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%config(noreplace) %{_sysconfdir}/sysconfig/node_exporter
%{_bindir}/node_exporter
%{_unitdir}/node_exporter.service
%{_libexecdir}/prometheus-node_exporter/*
%{_sysconfdir}/cron.d/node_exporter_smartmon
/var/lib/node_exporter/textfile_collector

%changelog
* Wed Dec 30 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 1.0.1.7
 - PSBM-106551 added collector for check status network features (Pavel
Vorontsov <pavel.vorontsov@virtuozzo.com>)
 - PSBM-106551 fixed missed license check (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-123095 added metrics for monitoring pfcache usage (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-123095 update vendor (Pavel Vorontsov <pavel.vorontsov@virtuozzo.com>)
 - PSBM-106545 move update counters into collector methods and run it in
parallel (Pavel Vorontsov <pavel.vorontsov@virtuozzo.com>)
 - PSBM-106545 rename snake case vars into camel case (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-106545 constify strings (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-106545 rearrange imports (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-106551 update dependences (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - PSBM-122267 fix copyright headers (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)
 - Handle hexadecimal values in SMART output #PSBM-124237
 - PSBM-106551 enable vznetoffload collector (Pavel Vorontsov
<pavel.vorontsov@virtuozzo.com>)

* Mon Nov 16 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 1.0.1.6
 - Update vendor directory (Kseniya Kuzhamuratova
<kkuzhamuratova@virtuozzo.com>) (#PSBM-106555)
 - Add metric for pending reboot (Kseniya Kuzhamuratova
<kkuzhamuratova@virtuozzo.com>) (#PSBM-106555)

* Sat Nov 14 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 1.0.1.5
 - enable vzmemorystat collector (Pavel Vorontsov <pvorontsovd@gmail.com>)

* Fri Nov 13 2020 Pavel Vokhmyanin <pvokhmyanin@virtuozzo.com> 1.0.1.4
 - PSBM-106971 add collector for memory.stat counters (Pavel Vorontsov
<pvorontsovd@gmail.com>)
 - feat: PSBM-121044 SMART threshold exporting (Mikhail Antonov
<amo.mikhail@gmail.com>)

* Tue Oct 13 2020 Igor Bazhitov <ibazhitov@virtuozzo.com> 1.0.1.3
 - PSBM-121115 (#PSBM-121115)
 - PSBM-121115 (#PSBM-121115)

* Fri Oct 02 2020 Igor Bazhitov <ibazhitov@virtuozzo.com> 1.0.1.1
 - PSBM-107924 (#PSBM-107924)

* Fri Oct 02 2020 VZ Auto Builder <dsilakov@virtuozzo.com> 1.0.2
 - PSBM-107924 (Igor Bazhitov <ibazhitov@virtuozzo.com>) (#PSBM-107924)
 - PSBM-107924 (Igor Bazhitov <ibazhitov@virtuozzo.com>) (#PSBM-107924)
 - PSBM-107924 (Igor Bazhitov <ibazhitov@virtuozzo.com>) (#PSBM-107924)
 - PSBM-107924 (Igor Bazhitov <ibazhitov@virtuozzo.com>) (#PSBM-107924)
 - PSBM-107924 (Igor Bazhitov <ibazhitov@virtuozzo.com>) (#PSBM-107924)

* Wed Sep 30 2020 Igor Bazhitov <ibazhitov@virtuozzo.com> - 1.0.1-1
- Rebase patches on top of node_exporter-1.0.1

* Thu Sep 21 2017 Andrey Bondrov <abondrov@virtuozzo.com - 0.14.0-1
- New version 0.14.0
- Add vendor sources tarball
- Build promu first

* Sun Sep 25 2016 Joshua Hoffman <joshua@joshua.net> - 0.12.0-3
- Added sysconfig style configuration

* Sun Sep 25 2016 Joshua Hoffman <joshua@joshua.net> - 0.12.0-2
- Initial build

